; PALETTE LOADER (REVISION 0)

;  0: Loads Character or Spirte Palettes



; REQUIREMENTS:

; (HL) To Point To The Palette To Load



; DATA FORMAT:

; DB 00h ; Palette Type (00h = Character Palette, 0FFh = Sprite Palette

; DB 00000000b ; Entry 00h (Black)

; DB 00000011b ; Entry 01h (Red)

; DB 00001100b ; Entry 02h (Green)

; DB 00110000b ; Entry 03h (Blue)

; DB 00000010b ; Entry 04h (Medium Red)

; DB 00001000b ; Entry 05h (Medium Green)

; DB 00100000b ; Entry 06h (Medium Blue)

; DB 00000001b ; Entry 07h (Dark Red)

; DB 00000100b ; Entry 08h (Dark Green)

; DB 00010000b ; Entry 09h (Dark Blue)

; DB 00101010b ; Entry 0Ah (Light Gray)

; DB 00010101b ; Entry 0Bh (Dark Gray)

; DB 00111100b ; Entry 0Ch (Cyan)

; DB 00110011b ; Entry 0Dh (Magenta)

; DB 00001111b ; Entry 0Eh (Yellow)

; DB 00111111b ; Entry 0Fh (White)



LDPAL:  LD A, (HL)      ; Point A to the first byte of the palette

        AND A

        JP NZ, SPPAL    ; If not a Character Palette Jump to Sprite Palette

CPPAL:  OUT (0BFh), 00h ; Output to the Character Palette

        OUT (0BFh), 0C0h

        INC HL          ; Now points to Palette Entry 0

        LD BC, 0FBEh    ; 16 Entries

        OTIR            ; Dump all 16 to the VRAM

        RET

SPPAL:  OUT (0BFh), 10h ; Output to the Sprite Palette

        OUT (0BFh), 0C0h

        INC HL          ; Now points to Palette Entry 0

        LD BC, 0FBEh    ; 16 Entries

        OTIR            ; Dump all 16 to the VRAM

        RET

