        #DEFINE RESET   0000h

        #DEFINE VBLANK  0038h

        #DEFINE PAUSE   0066h

        #DEFINE START   0080h

        #DEFINE FOOTER  7FF0h



.ORG RESET

        DI              ; Disable Interupts

	LD SP, 0C200h	; Set stack pointer

	IM 1		; Set Interupt Mode

	JP START



.ORG VBLANK

	JP UPDATE



.ORG PAUSE

	CALL SAVREG

	CALL DEBUG

	CALL RESREG

	RETN



.ORG START

        LD HL, 0C000h

	LD DE, 0C001h

	LD (HL), 0

	LD BC, 1FFEh

	LDIR		; Zero RAM contents

	JP RESET



UPDATE: RET



SAVREG:	RET



DEBUG:	RET



RESREG:	RET



.ORG FOOTER

        .DB "TMR SMSC"  ; Super Majik Spiral Crew Tradmark

        .DW 9719h       ; Year

        .DW 0FFFFh      ; Checksum

        .DW 0040h       ; Part Num (Card)

        .DW 0FFFFh      ; ? (Filler)



.END

